明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 1889|回复: 6

学习了坛里前辈原码,简单的以中点连线和画线,

[复制链接]
发表于 2012-12-25 16:16 | 显示全部楼层 |阅读模式
码取之论坛,只是简单加了循环简单码,大家见笑了.
看看大家有没有跟我一样需要这样画线的,共享了.
高手可以给优化一下,让学习一下.


[code="lisp] ;;;;;;;;;
(defun c:tt ()
    (setq en1 (entsel "\n指定基点:"))
    (setq pt1 (osnap (cadr en1) "nea"))
  (while
    (and
    (setq en2 (entsel "\n指定点连线:"))
    (setq pt2 (osnap (cadr en2) "nea"))
)
    (command "_pline" pt1 pt2 "")
)
  (princ)
  )
;;;;;;;;;;
(defun c:ttt ()
    (setq pt1 (getpoint "\n定原始点:"))
  (while
    (and
    (setq pt2 (getpoint pt1 "\n请指定点连线:"))
)
    (command "_line" pt1 pt2 "")
)
  (princ)
  )[/code]






本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2012-12-25 21:11 来自手机 | 显示全部楼层
顶一个,,,,
发表于 2012-12-29 19:16 | 显示全部楼层
不错值得学习~~~
发表于 2012-12-30 10:51 | 显示全部楼层
顶一个!基点能不能选择文字对象?需要连线的地方如果是同名图块,可否实现框选?
发表于 2013-1-19 13:12 | 显示全部楼层
本帖最后由 ucuc2003 于 2013-1-19 13:13 编辑

这是yjr111 老大的,可以比较下
(defun c:tt()

  (if (setq p0 (getpoint "\n指定中心点:"))
      (while (setq p1(getpoint p0 "\n指定下一点:"))
        (command "line" p1 p0 "")
      )
   )
  (princ)
)
发表于 2013-1-19 13:12 | 显示全部楼层
发表于 2016-4-27 21:26 | 显示全部楼层
楼主干得漂亮
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-4-24 14:52 , Processed in 0.230750 second(s), 32 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表